#include "linkfieldwidget.h"
#include <QToolButton>
#include <QHBoxLayout>
#include <QDesktopServices>
#include <QUrl>
LinkFieldWidget::LinkFieldWidget(QWidget *parent) :
        AbstractFieldWidget(parent)
{

    mLineEdit = new QLineEdit;
    QToolButton * openLinkButton = new QToolButton;
    openLinkButton->setIcon(QIcon(":/icons/small/open_link.png"));
    QHBoxLayout * layout = new QHBoxLayout;
    layout->addWidget(mLineEdit);
    layout->addWidget(openLinkButton);
    QWidget * widget =new QWidget;
    widget->setLayout(layout);
    setWidget(widget);
    connect(openLinkButton,SIGNAL(clicked()),this,SLOT(openLink()));
}


void LinkFieldWidget::setValue(QVariant value)
{

    mLineEdit->setText(value.toString());

}
void LinkFieldWidget::openLink()
{
    if (value().toString().contains("http://"))
        QDesktopServices::openUrl(value().toUrl());
    else
        QDesktopServices::openUrl(QUrl("http://"+value().toString()));

}


QVariant LinkFieldWidget::value()
{
    return mLineEdit->text();



}
